const randomJobList = () => {
  let list = [
    {
      id: '@guid',
      key: '地标',
      list: [
        { name: '全深圳', show: true },
        { name: '南山区', show: false },
        { name: '罗湖区', show: false },
        { name: '福田区', show: false },
        { name: '坪山区', show: false },
        { name: '盐田区', show: false },
        { name: '宝安区', show: false },
        { name: '龙岗区', show: false },
        { name: '龙华区', show: false },
        { name: '光明区', show: false },
        { name: '大鹏新区', show: false },
        { name: '深汕合作区', show: false }
      ],
      isShow: false,
      show: false
    }
  ] as any

  for (let index = 0; index < 6; index++) {
    if (!index) {
      list.push({
        id: '@guid',
        key: '@ctitle(3,4)',
        'list|55': [{ name: '@ctitle', show: false }],
        isShow: true,
        show: false
      })
    } else {
      list.push({
        id: '@guid',
        key: '@ctitle(3,4)',
        'list|3-8': [{ name: '@ctitle', show: false }],
        isShow: false,
        show: false
      })
    }
  }
  return list
}

export default [
  {
    url: '/api2/jobList',
    methods: 'get',
    response: () => {
      return {
        code: 200,
        message: 'ok',
        data: randomJobList()
      }
    }
  }
]
